function drho = Anderson_L(t,rho)

global e_d U Gamma  T mu

% initialization of the 
drho = zeros(4,1);    % a column vector

% Usefull f+ and f- components of the Liouvillean
fp = fermi(e_d-mu,T);
fm = 1-fp;
fUp = fermi(e_d+U-mu,T);
fUm = 1-fUp;

% the Liouvillean
L = Gamma*[-2*fp,fm,fm,0;...
           fp,-fm-fUp,0,fUm;...
           fp,0,-fm-fUp,fUm;...
           0,fUp,fUp,-2*fUm];


drho = L*rho;